Subject: [Dime] OCS handling (from Ben's suggested editorial changes)

From: Steve Donovan <[email-masked]>
Date: Mon, 22 Dec 2014 10:57:41 -0600

All,

These are two related items from Ben's suggested editorial changes that 
still need to be resolved.

Regards,

Steve

>> -- 4.2.1.1, para 1:
>>
>> Do I understand correctly that the reacting node only keeps OCS for those combinations that it has actually received an OLR for? If so, that's not clear from the wording.
> SRD> Do you have suggested wording?

It depends. Does a reacting node keep OCS when it hasn't received an OLR?

If no:

"A reacting node SHOULD maintain the following OCS for each active OLR it receives per Diameter application..."

if yes:

Then I think the section needs some more thought to distinguish between what is stored for OLRs, vs when no OLR is received.

Also, I think the preface to the second bullet list seems wrong. I don't see how you could make an implementation work right without at least keeping sequence number and expiration time, at least when you have an active OLR.

>> -- 4.2.1.2, para 1:
>>
>> Likewise, the reporting node only keeps OCS for actual overload conditions where it sends OLRs?
> SRD> Do you have suggested wording?

This seems dependent on the same question as for the last comment. But assuming it only has to keep state of actual OLRs:

"A reporting node SHOULD maintain OCS entries for each OLR it sends, per ..."